# $Revision: 1.7 $, $Date: 2004/12/21 01:06:53 $
Summary:	KDE front-end to Cscope
Summary(pl):	Interfejs KDE do Cscope
Name:		kscope
Version:	1.0
Release:	2
License:	GPL
Group:		X11/Development/Tools
Source0:	http://dl.sourceforge.net/kscope/%{name}-%{version}.tar.gz
# Source0-md5:	f6dbd3916b6dc3b85472a3207fa12a00
Patch0:		%{name}-desktop.patch
URL:		http://kscope.sourceforge.net/
BuildRequires:	automake
BuildRequires:	kdebase-devel
Requires:	cscope
Requires:	ctags
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KScope is a KDE front-end to Cscope. It provides a source-editing
environment for large C projects, such as the Linux kernel. KScope is
by no means intended to be a replacement to any of the leading
Linux/KDE IDEs, such as KDevelop. However, these IDEs, often targeted
at Object-Oriented, user-space programming, are usually unsuitable for
maintaining large projects, using functional programming. For
instance, using a "Classes" window to display the thousands of
functions in the Linux kernel code, would be impractical, and thus
will prevent any useful navigation throughout the code. KScope, on the
other hand, provides a rather useful mechanism for code-navigation, by
allowing the user to run queries on the code.

%description -l pl
KScope to interfejs KDE do Cscope. Daje rodowisko do edycji rde
dla duych projektw w C, jak na przykad jdro Linuksa. KScope nie ma
by zamiennikiem dla adnego z wiodcych IDE dla Linuksa/KDE, takich
jak KDevelop. Mimo wszystko, te IDE, czsto przeznaczone do
programowania zorientowanego obiektowo, w przestrzeni uytkownika,
zwykle nie pasuj do utrzymywania duych projektw, uywajcych
programowania funkcyjnego. Na przykad, uywanie okna "Klasy" do
wywietlania tysicy funkcji z jdra Linuksa, byoby niepraktyczne, i
przeszkadzaoby w uytecznej nawigacji po kodzie. KScope, z drugiej
strony, dostarcza raczej przydatny mechanizm do nawigacji po kodzie,
pozwalajc uytkownikowi wykonywa zapytania na kodzie.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub admin
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	shelldesktopdir=%{_desktopdir}/kde \
	kde_htmldir=%{_kdedocdir} \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO 
%attr(755,root,root) %{_bindir}/*
%{_datadir}/apps/%{name}
%{_iconsdir}/*/*/*/*.png
%{_desktopdir}/kde/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kscope.spec,v $
Revision 1.7  2004/12/21 01:06:53  adamg
- release 2

Revision 1.6  2004/12/21 01:01:51  adamg
- referesh config.sub (fixes build on amd64)

Revision 1.5  2004/12/07 12:02:09  snurf
- up to 1.0

Revision 1.4  2004/11/13 10:42:41  kolodko
- up to 0.9 by Charles <charles (at) os.pl>

Revision 1.3  2004/05/31 20:04:12  twittner
- added .desktop patch

Revision 1.2  2004/05/31 16:44:23  qboosh
- pl, use proper dirs for *.desktop and html

Revision 1.1  2004/05/30 22:37:40  arekm
- initial pld release
